osgText::Glyph::TextureInfo Struct Reference

`#include <Glyph>`

Inheritance diagram for osgText::Glyph::TextureInfo:

## Public Member Functions

| TextureInfo ()
| TextureInfo (GlyphTexture *tex, int x, int y, const osg::Vec2 &mintc, const osg::Vec2 &maxtc, float margin)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

GlyphTexture * | texture
int | texturePositionX
int | texturePositionY
osg::Vec2 | minTexCoord
osg::Vec2 | maxTexCoord
float | texelMargin

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## TextureInfo() [1/2]

osgText::Glyph::TextureInfo::TextureInfo | ( |  | ) |

inline

References texelMargin, and texture.

## TextureInfo() [2/2]

osgText::Glyph::TextureInfo::TextureInfo | ( | GlyphTexture * | tex,
|  | int | x,
|  | int | y,
|  | const osg::Vec2 & | mintc,
|  | const osg::Vec2 & | maxtc,
|  | float | margin )

inline

References maxTexCoord, minTexCoord, texelMargin, texture, texturePositionX, and texturePositionY.

## Member Data Documentation

## maxTexCoord

osg::Vec2 osgText::Glyph::TextureInfo::maxTexCoord

Referenced by TextureInfo().

## minTexCoord

osg::Vec2 osgText::Glyph::TextureInfo::minTexCoord

Referenced by TextureInfo().

## texelMargin

float osgText::Glyph::TextureInfo::texelMargin

Referenced by TextureInfo(), and TextureInfo().

## texture

GlyphTexture* osgText::Glyph::TextureInfo::texture

Referenced by TextureInfo(), and TextureInfo().

## texturePositionX

int osgText::Glyph::TextureInfo::texturePositionX

Referenced by TextureInfo().

## texturePositionY

int osgText::Glyph::TextureInfo::texturePositionY

Referenced by TextureInfo().

The documentation for this struct was generated from the following file:

- Glyph